---
search:
  tags:
    - Project modules
    - PATCH
seo:
  description: >-
    Early access: request API access for your workspace at… Reference for the
    PATCH /v1/projects/{projectId}/modules/{moduleKey} endpoint in the Bauhow
    API.
sidebar:
  label: Update a project module
  badge: PATCH
title: Update a project module
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

Replaces the module payload and/or sets its status. Locked modules reject payload changes.

`PATCH /v1/projects/{projectId}/modules/{moduleKey}`

**Request body** (`application/json`)

- `status` (string)
- `schemaVersion` (integer)
- `payload` (object | null)

Request body example:

```json
{
  "status": "not_started",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}
```

**Responses**

- `200` — OK

Response example, 200:

```json
{
  "id": "string",
  "projectId": "string",
  "moduleKey": "project-information",
  "status": "not_started",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  },
  "validationState": {
    "property1": null,
    "property2": null
  },
  "lockedReason": "string",
  "lastCompletedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
